Class UmlBaseRemoveVariableValueAction

Declaration :

- C++ : class UmlBaseRemoveVariableValueAction : public UmlAccessVariableValueAction
- Java : abstract class UmlBaseRemoveVariableValueAction extends UmlAccessVariableValueAction

Directly inherited by : UmlRemoveVariableValueAction

Artifact : UmlBaseActivityActionClasses

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlRemoveVariableValueAction, exceptions : RuntimeException
- C++ : public: static UmlRemoveVariableValueAction * create(UmlItem * parent, const char * s)
- Java : public static UmlRemoveVariableValueAction create(UmlItem parent, String s) throws RuntimeException

returns a new remove variable value action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseRemoveVariableValueAction

Declaration :

- Uml : # UmlBaseRemoveVariableValueAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseRemoveVariableValueAction(void * id, const QCString & s) : UmlAccessVariableValueAction(id, s)
- Java : protected UmlBaseRemoveVariableValueAction(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation isRemoveDuplicates

Declaration :

- Uml : + isRemoveDuplicates() : bool
- C++ : public: bool isRemoveDuplicates()
- Java : public boolean isRemoveDuplicates()

return the isRemoveDuplicates attribute, if TRUE remove duplicates of the value if non-unique

Operation set_isRemoveDuplicates

Declaration :

- Uml : + set_isRemoveDuplicates(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_isRemoveDuplicates(bool v)
- Java : public void set_isRemoveDuplicates(boolean v) throws RuntimeException

set the isRemoveDuplicates attribute
On error return FALSE in C++, produce a RuntimeException in Java

Attribut _remove_duplicates

Declaration :

- Uml : - _remove_duplicates : bool
- C++ : private: bool _remove_duplicates
- Java : private boolean _remove_duplicates

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isRemoveDuplicates , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_isRemoveDuplicates , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable